Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603282 - Anaconda hangs when getting install information
Anaconda hangs when getting install information
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-12 03:09 EDT by Wayne Carruthers
Modified: 2010-10-08 20:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 10:10:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Carruthers 2010-06-12 03:09:40 EDT
Description of problem:

When installing after selection of boot loader anaconda prompts re LAN IP setup
It then goes automatically to getting latest install information online rather than giving a choice of local media or online repository

If LAN connection is lost, anaconda hangs without ability to terminate getting info or go back and select local media

Version-Release number of selected component (if applicable):


How reproducible:

Always


Steps to Reproduce:
1. run install
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Wayne Carruthers 2010-06-12 03:54:44 EDT
Note

Used a fixed IP No & dummy gateway/nameserver

Without LAN interface connected, gave error & no option to select local media

With LAN interface connected, it timed out and brought up edit repository dialogue

Attempting to select local CD/DVD it reported no installation media found

As per the dialogue boxes on FC12 there is no "eject button" and no ability to manually eject DC/DVD to get it to read the device

I was derided for my feature request on this back on fc12 & my request was written off inappropriately, here it is again preventing an install
Comment 2 Wayne Carruthers 2010-06-12 04:12:22 EDT
Note

Used a fixed IP No & dummy gateway/nameserver

Without LAN interface connected, gave error & no option to select local media

With LAN interface connected, it timed out and brought up edit repository dialogue

Attempting to select local CD/DVD it reported no installation media found

As per the dialogue boxes on FC12 there is no "eject button" and no ability to manually eject DC/DVD to get it to read the device

I was derided for my feature request on this back on fc12 & my request was written off inappropriately, here it is again preventing an install
Comment 3 Wayne Carruthers 2010-06-12 04:26:47 EDT
Swapped to CD rather than DVD install and choice of repo comes up rather than online, it seems bugs may be only in DVD media which I find odd
Comment 4 Chris Lumens 2010-10-07 09:55:20 EDT
When you hit the initial problem where it goes straight to the network on DVD, can you switch to tty2 and attach /tmp/storage.log, /tmp/anaconda.log, and the output of udevadm info --export-db to this bug?  Thanks.
Comment 5 Wayne Carruthers 2010-10-07 21:33:36 EDT
Chris

Apologies, completely gave up on R13 due to the difficulties I was experiencing, no longer have the CD/DVD to do any further testing
Comment 6 Chris Lumens 2010-10-08 10:10:05 EDT
Okay, sorry for that.  My guess is that your DVD was not being recognized by anaconda due to a lack of ID_FS_TYPE in the udev data.  We've had several cases of that and your symptoms match up pretty well.  There should be a fix in udev for F14, so hopefully that release will work better for you.
Comment 7 Wayne Carruthers 2010-10-08 20:46:40 EDT
Chris

Thanks for looking at the fault, your summation does sound logical & yes I look forward to F14, F13 is the only release which I have not been able to deploy

Complements to you and all the team on your efforts, since I am not a software developer my contribution is limited to testing and filing bugs or enhancement requests

Note You need to log in before you can comment on or make changes to this bug.